Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
rotate.h File Reference
`#include <botan/types.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan

## Functions
template<typename T >
T | Botan::rotate_left (T input, size_t rot)
template<typename T >
T | Botan::rotate_right (T input, size_t rot)
template<size_t ROT, typename T >
constexpr T | Botan::rotl (T input)
template<typename T >
T | Botan::rotl_var (T input, size_t rot)
template<size_t ROT, typename T >
constexpr T | Botan::rotr (T input)
template<typename T >
T | Botan::rotr_var (T input, size_t rot)